using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Web.Mvc.Ajax;
using MvcApplication1.Models;
using Telerik.Web.Mvc;

namespace MvcApplication1.Controllers
{
    public class TelerikMVCController : Controller
    {
        public ActionResult FirstLook()
        {
            return View();
        }

        public ActionResult LoadOnDemandDocument() 
        {
            return PartialView();
        }

        public ActionResult PanelBar() 
        {
            return View();
        }

        public ActionResult GridAndTabStrip() 
        {
            return View(new NWDataContext());
        }

        public ActionResult GridLoadOnDemand() 
        {
            return PartialView(new NWDataContext());
        }

        [GridAction]
        public ActionResult _AjaxBinding()
        {
            NWDataContext nw = new NWDataContext();
            return View(new GridModel<MvcApplication1.Models.Employee>
            {
                Data = nw.Employees
            });
        }

    }
}
